Package org.gradle.api.flow

# Class FlowParameters.None

java.lang.Object
org.gradle.api.flow.FlowParameters.None

All Implemented Interfaces:
  `FlowParameters`

Enclosing interface:
  `FlowParameters`

@Incubating public static final class FlowParameters.None extends Object implements FlowParameters
Used for `dataflow actions` without parameters.

When `FlowParameters.None` is used as parameters, calling `FlowActionSpec.getParameters()` throws an exception.

Since:
  8.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.flow.FlowParameters

  `FlowParameters.None`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FlowParameters.None`
  `INSTANCE`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final FlowParameters.None INSTANCE